-- 基础信息
base_info = {
	group_id = 247006019
}

-- DEFS_MISCS
local GroupId = 247006019
local point_id_list = {}
local MainGroupID = 247006001
local RegionID = 19001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 19001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 0.001, y = 0.050, z = 400.039 } }
}

-- 触发器
triggers = {
	{ config_id = 1019001, name = "ENTER_REGION_19001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 19002, pos = { x = -0.049, y = 0.039, z = 413.416 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 19003, pos = { x = -3.045, y = 0.039, z = 412.714 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 19004, pos = { x = 3.178, y = 0.039, z = 412.830 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 19005, pos = { x = -6.956, y = 0.039, z = 411.506 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 19006, pos = { x = 7.116, y = 0.039, z = 411.059 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 19007, pos = { x = -9.403, y = 0.039, z = 409.007 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 19008, pos = { x = 10.351, y = 0.039, z = 409.024 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 19009, pos = { x = -10.215, y = 0.039, z = 406.472 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 19010, pos = { x = 10.465, y = 0.039, z = 406.123 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 19011, pos = { x = -10.265, y = 0.039, z = 403.378 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 19012, pos = { x = 0.020, y = 0.039, z = 412.103 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 19013, pos = { x = -4.875, y = 0.039, z = 410.137 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 19014, pos = { x = 5.074, y = 0.039, z = 410.311 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 19015, pos = { x = -8.276, y = 0.039, z = 407.040 }, rot = { x = 0.000, y = 120.000, z = 0.000 }, tag = 4 },
	{ config_id = 19016, pos = { x = 9.261, y = 0.039, z = 406.019 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 19017, pos = { x = -7.827, y = 0.039, z = 401.384 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 19018, pos = { x = 8.672, y = 0.039, z = 400.104 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 19019, pos = { x = -4.819, y = 0.039, z = 397.572 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 4 },
	{ config_id = 19020, pos = { x = 5.252, y = 0.039, z = 396.763 }, rot = { x = 0.000, y = 300.000, z = 0.000 }, tag = 4 },
	{ config_id = 19021, pos = { x = 0.012, y = 0.039, z = 394.708 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 19022, pos = { x = -9.995, y = 0.039, z = 412.445 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 19023, pos = { x = 10.072, y = 0.039, z = 412.445 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 19024, pos = { x = -9.995, y = 0.039, z = 393.420 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 19025, pos = { x = 10.072, y = 0.039, z = 393.420 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 19026, pos = { x = -8.261, y = 0.039, z = 412.445 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 19027, pos = { x = 11.806, y = 0.039, z = 412.445 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 19028, pos = { x = -8.261, y = 0.039, z = 393.420 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 19029, pos = { x = 11.806, y = 0.039, z = 393.420 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 19030, pos = { x = -12.677, y = 0.039, z = 412.445 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 19031, pos = { x = 7.390, y = 0.039, z = 412.445 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 19032, pos = { x = -12.677, y = 0.039, z = 393.420 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 19033, pos = { x = 7.390, y = 0.039, z = 393.420 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 19034, pos = { x = -1.175, y = 0.039, z = 406.455 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 19035, pos = { x = 1.058, y = 0.039, z = 406.455 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 19036, pos = { x = -3.088, y = 0.039, z = 406.455 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 19037, pos = { x = 3.104, y = 0.039, z = 406.455 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 19038, pos = { x = -4.960, y = 0.039, z = 406.455 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 19039, pos = { x = 4.942, y = 0.039, z = 406.455 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 19040, pos = { x = -3.205, y = 0.039, z = 404.084 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 19041, pos = { x = 2.841, y = 0.039, z = 404.084 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 19042, pos = { x = 1.058, y = 0.039, z = 404.084 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 19043, pos = { x = -1.175, y = 0.039, z = 404.084 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 19044, pos = { x = -0.002, y = 0.110, z = 407.082 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 32 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 19001 },
		triggers = { "ENTER_REGION_19001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
